%bcond_without check
%global debug_package %{nil}
%global __os_install_post %{_rpmconfigdir}/brp-compress

Name:           receptor
Version:        1.3.0
Release:        3%{?dist}

# https://github.com/ansible/receptor
%global goipath         github.com/ansible/receptor

%global common_description %{expand:
Project Receptor is a flexible multi-service relayer with remote execution and
orchestration capabilities linking controllers with executors across a mesh of
nodes.}

Summary:        Project Receptor is a flexible multi-service relayer with remote execution and orchestration capabilities linking controllers with executors across a mesh of nodes

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://%{goipath}
Source0:        https://%{goipath}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        receptor.service
Source2:        receptor.conf.example
Source3:        %{name}-%{version}-vendor.tar.gz
Source4:        THIRD_PARTY_LICENSES.txt
Patch0:         0001-Try-resuming-without-checking-the-job-status.patch

Patch1000:	1000-Fixes-issue-receptor-service-switch-failed.patch

%if %{with check}
# Tests
BuildRequires:  iproute
BuildRequires:  openssl
%endif

BuildRequires:	golang >= 1.14 ,golang <= 1.19
Requires: systemd

%description
%{common_description}

%prep
%setup -q
%patch0 -p1

%patch1000 -p1

%setup -q -T -D -a3 -n %{name}-%{version}

%build
CGO_ENABLED=0 go build -o receptor  -ldflags "-X 'github.com/ansible/receptor/internal/version.Version=+g'"  ./cmd/receptor-cl
./receptor --bash-completion > receptor.completion

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp receptor            %{buildroot}%{_bindir}/receptor
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/systemd/system
install -m 0644 -vp %{SOURCE1} %{buildroot}%{_sysconfdir}/systemd/system/receptor@.service
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/receptor
install -m 0644 -vp %{SOURCE2} %{buildroot}%{_sysconfdir}/receptor/receptor.conf.example
install -m 0755 -vd                     %{buildroot}%{_datadir}/bash-completion/completions
install -m 0644 -vp receptor.completion %{buildroot}%{_datadir}/bash-completion/completions/receptor

%if %{with check}
%check
export PATH=$PATH:%{buildroot}%{_bindir}
SKIP_KUBE=1 go test ./... -p 1 -parallel=16 -count=1 -failfast
%endif

%files
%{_bindir}/*
%{_datadir}/bash-completion/completions/receptor
%{_sysconfdir}/receptor/receptor.conf.example
%{_sysconfdir}/systemd/system/receptor@.service

%changelog
* Tue Oct 22 2024 Sourav Sharma <sourav.ss.sharma@oracle.com> - 1.3.0-3
- Fixes issue receptor-awx service switches to failed status [Orabug: 36519711]

* Fri Apr 21 2023 Alex Burmashev <alexander.burmashev@oracle.com> - 1.3.0-2
- Rip out the logic to check job status before resuming it

* Thu Sep 08 2022 Alex Burmashev <alexander.burmashev@oracle.com> - 1.2.2-1
- Update to upstream 1.2.2

* Thu Aug 04 2022 Alex Burmashev <alexander.burmashev@oracle.com> - 1.2.0-1
- Initial Oracle release 


